Bug 15533 - lilo (or mkbootdisk) fails with ls-120
Summary: lilo (or mkbootdisk) fails with ls-120
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-06 02:53 UTC by jaffe
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-03 20:36:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jaffe 2000-08-06 02:53:22 UTC
I've got an LS-120 on my gateway 5150 laptop.

It lives at /dev/hdc and I have the following in /etc/fstab
/dev/hdc    /mnt/ls120  auto user,exec,dev,suid,rw,noauto 1 1

I can mount either 1.44M or 120M disks, no problem.

However, I cannot make a boot disk.  If I do 
	mkbootdisk --device /dev/hdc 2.2.16
it runs, but fails at the end. I have traced the problem to lilo, which
gives the following error
message:

mknod /tmp/dev.0: No such file or directory

if I put in lots of of "-v" in the lilo run, this error happens after
the following output

[lots of "Caching device /dev/*** (0x****)]
Caching device /dev/loop7 (0x0707)
Reading boot sector from /dev/hdc
Invalidating cache entry for /dev/hda (0x0300)
mknod /tmp/dev.0: No such file or directory

Any ideas?

Comment 1 David Wilson 2001-03-05 01:52:57 UTC
This bug still exists with RedHat 7.1beta "Wolverine". My Abit BP6 has an LS-120
at /dev/hda (and no regular floppy drives - the controller is even turned off in
the BIOS) and during the installation when it tried to create a boot disk it
went into an infinite loop accessing the drive. I had to re-run the installation
and skip making a boot disk to complete the installation.

Comment 2 Michael K. Johnson 2001-03-05 18:23:01 UTC
LS-120 boot floppies, they aren't just for IA-64 anymore...

Comment 3 David Wilson 2001-03-05 23:26:52 UTC
P.S. I was using a 1.44MB diskette in the LS-120 drive rather than a 120MB one.

Comment 4 Brent Fox 2001-04-03 20:36:10 UTC
I've verified that creating a bootdisk with LS-120 works with our internal
builds as of April 3.  I have a test machine here with an internal LS120 drive
and no floppy.  You have to disable the floppy controller in the bios, though,
or the kernel will think there's a floppy drive on /dev/fd0.


Note You need to log in before you can comment on or make changes to this bug.